# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/imx/fsl,imx8mp-hdmi-pai.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Freescale i.MX8MP HDMI Parallel Audio Interface

maintainers:
  - Shengjiu Wang <shengjiu.wang@nxp.com>

description:
  The HDMI TX Parallel Audio Interface (HTX_PAI) is a bridge between the
  Audio Subsystem to the HDMI TX Controller.

properties:
  compatible:
    const: fsl,imx8mp-hdmi-pai

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    const: apb

  power-domains:
    maxItems: 1

  port:
    $ref: /schemas/graph.yaml#/properties/port
    description: Output to the HDMI TX controller.

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names
  - power-domains
  - port

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/imx8mp-clock.h>
    #include <dt-bindings/power/imx8mp-power.h>

    audio-bridge@32fc4800 {
        compatible = "fsl,imx8mp-hdmi-pai";
        reg = <0x32fc4800 0x800>;
        interrupt-parent = <&irqsteer_hdmi>;
        interrupts = <14>;
        clocks = <&clk IMX8MP_CLK_HDMI_APB>;
        clock-names = "apb";
        power-domains = <&hdmi_blk_ctrl IMX8MP_HDMIBLK_PD_PAI>;

        port {
            pai_to_hdmi_tx: endpoint {
                remote-endpoint = <&hdmi_tx_from_pai>;
            };
        };
    };
